LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
FailReason.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::script
| Scripting language bindings.

## Constant Groups
constants | com::sun::star::script::FailReason
| These values specify the reason why a type conversion failed.

## Variables
const long | OUT_OF_RANGE = 1
| The given value does not fit in the range of the destination type.
const long | IS_NOT_NUMBER = 2
| The given value cannot be converted to a number.
const long | IS_NOT_ENUM = 3
| The given value cannot be converted to an enumeration.
const long | IS_NOT_BOOL = 4
| The given value cannot be converted to a boolean.
const long | NO_SUCH_INTERFACE = 5
| The given value is not an interface or cannot queried to the right interface.
const long | SOURCE_IS_NO_DERIVED_TYPE = 6
| The given value cannot be converted to right structure or exception type.
const long | TYPE_NOT_SUPPORTED = 7
| The type class of the given value is not supported.
const long | INVALID = 8
| The given value cannot be converted and none of the other reasons match.
const long | NO_DEFAULT_AVAILABLE = 9
| This value is deprecated.
const long | UNKNOWN = 10
| This value is deprecated.